## cdbs 0.4.52-maemo1

=== test/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# test/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/cdbs
pkglibdir = $(libdir)/cdbs
pkgincludedir = $(includedir)/cdbs
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = test
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run aclocal-1.9
AMTAR = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run tar
AUTOCONF = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run autoconf
AUTOHEADER = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run autoheader
AUTOMAKE = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run automake-1.9
AWK = gawk
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"cdbs\" -DPACKAGE_TARNAME=\"cdbs\" -DPACKAGE_VERSION=\"something\" -DPACKAGE_STRING=\"cdbs\ something\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"cdbs\" -DVERSION=\"something\"
ECHO_C = 
ECHO_N = -n
ECHO_T = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run makeinfo
PACKAGE = cdbs
PACKAGE_BUGREPORT = 
PACKAGE_NAME = cdbs
PACKAGE_STRING = cdbs something
PACKAGE_TARNAME = cdbs
PACKAGE_VERSION = something
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = something
am__leading_dot = .
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build_alias = arm-linux-gnueabi
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/cdbs
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = /etc
target_alias = 

# Run these tests silently so we can see what fails
TESTS_ENVIRONMENT = TESTS_SILENT=true
EXTRA_DIST = testsuite_functions
TESTS = autotools-1.sh \
	autotools-2.sh \
	autotools-3.sh \
	autotools-4.sh \
	autotools-5.sh \
	recursive.sh \
	udeb-1.sh \
	hdparm.sh \
	debhelper-1.sh \
	debhelper-2.sh \
	debhelper-3.sh \
	debhelper-4.sh \
	debhelper-5.sh \
	debhelper-6.sh \
	debhelper-7.sh \
	patchsys-1.sh \
	list-missing-1.sh \
	distutils-1.sh \
	distutils-2.sh \
	distutils-3.sh \
	distutils-4.sh

TARBALLS = tarballs/autotools-test-0.1.tar.gz \
	tarballs/distutils-test-0.1.tar.gz

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  test/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  test/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list='$(TESTS)'; \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
		xpass=`expr $$xpass + 1`; \
		failed=`expr $$failed + 1`; \
		echo "XPASS: $$tst"; \
	      ;; \
	      *) \
		echo "PASS: $$tst"; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
		xfail=`expr $$xfail + 1`; \
		echo "XFAIL: $$tst"; \
	      ;; \
	      *) \
		failed=`expr $$failed + 1`; \
		echo "FAIL: $$tst"; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      echo "SKIP: $$tst"; \
	    fi; \
	  done; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="All $$all tests passed"; \
	    else \
	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all tests failed"; \
	    else \
	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    skipped="($$skip tests were not run)"; \
	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  echo "$$dashes"; \
	  echo "$$banner"; \
	  test -z "$$skipped" || echo "$$skipped"; \
	  test -z "$$report" || echo "$$report"; \
	  echo "$$dashes"; \
	  test "$$failed" -eq 0; \
	else :; fi

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-local mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-local

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-TESTS check-am check-local clean \
	clean-generic clean-local distclean distclean-generic \
	distclean-local distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-exec \
	install-exec-am install-info install-info-am install-man \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am


check-local: tarballs

tarballs: $(TARBALLS)

clean-local:
	rm -rf workdir cdbs.build

distclean-local:
	rm -rf tarballs

tarballs/autotools-test-0.1.tar.gz:
	-mkdir tarballs
	rm -rf cdbs.build
	mkdir cdbs.build
	cd cdbs.build && ../autotools/configure
	$(MAKE) -C cdbs.build dist
	mv cdbs.build/autotools-test-0.1.tar.gz tarballs
	rm -rf cdbs.build

tarballs/distutils-test-0.1.tar.gz:
	-mkdir tarballs
	cd distutils && ./setup.py sdist
	mv distutils/dist/distutils-test-0.1.tar.gz tarballs
	rm -rf distutils/dist
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
cdbs (0.4.52-maemo1) unstable; urgency=low

  * Drop extra dependencies to grapviz, ant, kaffe, etc
  * Don't generate docs (we don't want the extra dependencies)
  * Don't do testing (because all the python stuff won't be available
    anyway, we support only python 2.5)

 -- Jonas Hurrelmann <j@outpo.st>  Tue, 19 Aug 2008 06:05:26 +0200

=== debian/control ===
Source: cdbs
Section: devel
Priority: optional
Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
Build-Depends-Indep: debhelper (>= 5), realpath, fakeroot, python2.5-dev, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, sharutils, gs-common
Uploaders: Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
Standards-Version: 3.7.3
Vcs-Browser: http://svn.debian.org/wsvn/build-common/
Vcs-Svn: svn://svn.debian.org/build-common/

Package: cdbs
Architecture: all
Conflicts: build-common
Depends: debhelper (>= 5.0.30)
Recommends: autotools-dev
Suggests: devscripts, doc-base
Description: common build system for Debian packages
 This package contains the Common Debian Build System, an abstract
 build system based on Makefile inheritance which is completely
 extensible and overridable.  In other words, CDBS provides a sane set
 of default rules upon which packages can build; any or all rules may
 be overridden as needed.

## cdbs 0.4.52-maemo2

=== test/Makefile ===
--- 
+++ 
@@ -44,11 +44,11 @@
 SOURCES =
 DIST_SOURCES =
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run aclocal-1.9
-AMTAR = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run tar
-AUTOCONF = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run automake-1.9
+ACLOCAL = ${SHELL} /home/marijn/outside/kde/packages/cdbs-0.4.52/missing --run aclocal-1.9
+AMTAR = ${SHELL} /home/marijn/outside/kde/packages/cdbs-0.4.52/missing --run tar
+AUTOCONF = ${SHELL} /home/marijn/outside/kde/packages/cdbs-0.4.52/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/marijn/outside/kde/packages/cdbs-0.4.52/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/marijn/outside/kde/packages/cdbs-0.4.52/missing --run automake-1.9
 AWK = gawk
 CYGPATH_W = echo
 DEFS = -DPACKAGE_NAME=\"cdbs\" -DPACKAGE_TARNAME=\"cdbs\" -DPACKAGE_VERSION=\"something\" -DPACKAGE_STRING=\"cdbs\ something\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"cdbs\" -DVERSION=\"something\"
@@ -65,7 +65,7 @@
 MAINT = #
 MAINTAINER_MODE_FALSE = 
 MAINTAINER_MODE_TRUE = #
-MAKEINFO = ${SHELL} /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/marijn/outside/kde/packages/cdbs-0.4.52/missing --run makeinfo
 PACKAGE = cdbs
 PACKAGE_BUGREPORT = 
 PACKAGE_NAME = cdbs
@@ -81,7 +81,7 @@
 am__tar = ${AMTAR} chof - "$$tardir"
 am__untar = ${AMTAR} xf -
 bindir = ${exec_prefix}/bin
-build_alias = arm-linux-gnueabi
+build_alias = i486-linux-gnu
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
@@ -91,7 +91,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${prefix}/share/info
-install_sh = /home/j/projects/builder/soprano/cdbs/cdbs-0.4.52/install-sh
+install_sh = /home/marijn/outside/kde/packages/cdbs-0.4.52/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${prefix}/lib/cdbs
 localedir = ${datarootdir}/locale

=== debian/changelog ===
cdbs (0.4.52-maemo2) unstable; urgency=low

  * Drop extra dependencies to grapviz, ant, kaffe, etc
  * Don't generate docs (we don't want the extra dependencies)
  * Don't do testing (because all the python stuff won't be available
    anyway, we support only python 2.5)
  * Changed target architecture to "any".

 -- Jonas Hurrelmann <j@outpo.st>  Tue, 19 Aug 2008 06:05:26 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Vcs-Svn: svn://svn.debian.org/build-common/
 
 Package: cdbs
-Architecture: all
+Architecture: any
 Conflicts: build-common
 Depends: debhelper (>= 5.0.30)
 Recommends: autotools-dev

=== debian/rules ===
#!/usr/bin/make -f
DEB_BUILDDIR=build
include debian/testsuite.mk
include $(_cdbs_package_root_dir)/1/rules/debhelper.mk.in
include $(_cdbs_package_root_dir)/1/class/autotools.mk.in

## cdbs 0.4.59ubuntu4

=== debian/changelog ===
cdbs (0.4.59ubuntu4) karmic; urgency=low

  * 1/class/autotools-vars.mk: Apply patch from Peter Eisentraut to avoid
    setting CC and CXX if they have empty or default values, to ease
    cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Oct 2009 15:27:42 +0100

cdbs (0.4.59ubuntu3) karmic; urgency=low

  * Do not strip locale specific default values from gconf schema files:
    - Add strip-schema.pl: Replacement for the previous seddery, which wasn't
      powerful enough to just remove <short>/<long> tags from non-C <locale>
      tags, but keep <default> values.
    - Makefile.am: Install strip-schema.pl into pkglibdir.
    - 1/rules/langpack.mk.in: Drop seddery, use strip-schema.pl instead.
    - LP: #443133

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 08 Oct 2009 19:12:51 +0200

cdbs (0.4.59ubuntu2) karmic; urgency=low

  * debian/control: Drop Kaffe build-dep as it is not in main (LP: #415898)
  * test/Makefile.am: Disable ant-1 test; this was inactive prior to 0.4.57
    and now causes build failures due to Kaffe being dropped 

 -- Iain Lane <laney@ubuntu.com>  Wed, 19 Aug 2009 13:08:44 +0100

cdbs (0.4.59ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #414791), remaining changes:
    - 1/class/autotools-files.mk.in: Add -i option when calling libtoolize to
      install missing files. (Debian #525849)
    - 1/class/gnome.mk.in: 
      + Include langpack.mk.
      + Check if $DEB_BUILDDIR actually exists before cd'ing to it.
    - Add 1/class/kde4.mk.in: Generic KDE4 build rules. Install it in
      Makefile.am.
    - 1/class/kde.mk.in:  
      + Call dh_icons and bump autogenerated debhelper build dependency
        appropriately.
      + Add --without-arts to standard configure flags, since it is
        deprecated.
      + build POT file, and add X-Ubuntu-Gettext-Domain to .desktop files.
    - 1/class/python-distutils.mk.in:
      + Supply --install-layout=deb install argument, to install files into
        /usr instead of /usr/local/.
      + Rename dist-packages/ to site-packages/ again, so that packages which
        expect setup.py to install to site-packages/ and depend on that in
        their dh_install files don't break. dh_py* will take care of the final
        renaming.
     - Add 1/rules/clean-la.mk.in: Remove dependency_libs lines from .la files.
       Install it in Makefile.am.
    - 1/rules/debhelper.mk.in:
      + Do not install upstream changelogs by default.  They are huge and thus
        waste a lot of archive and CD space, quite uninteresting for ordinary
        users, and easy to get by downloading the source package or visiting the
        upstream page pointed out in copyright.
      + Symlink /usr/share/doc/ files to identical versions in any depending
        package which is built by the source package (except copyright, to
        adhere to Debian Policy). This can be disabled by setting
        $CDBS_NO_DOC_SYMLINKING.
      + Symlink identical Gnome help files (like untranslated images). This
        can be disabled by setting $CDBS_NO_GNOME_HELP_SYMLINKING. Add fdupes
        dependency for this.
    - Add 1/rules/langpack.mk.in: Generic langpack related tasks: Build POT
      files and add X-Ubuntu-Gettext-Domain to .desktop/.server/.directory
      files. Install file in Makefile.am. Add intltool dependency for this.
    - 1/rules/simple-patchsys.mk.in: Revert the change for Debian bug #387103
      that causes patches to be unapplied before cleaning the build directory;
      the original issue was addressed more thoroughly in 0.4.49 with a fix
      for Debian bug #424080, and unpatch-before-clean breaks some relevant
      use cases that involve patching of build systems. (Debian #494254)
    - scripts/cdbs-edit-patch: Add fallback if DEB_TAR_SRCDIR contains
      variables.
  * Revert changes in Debian r383 (relaxed versioned build-deps when satisfied
    in Lenny) - some of these build-deps are still required for Dapper.
  
 -- Iain Lane <laney@ubuntu.com>  Thu, 23 Jul 2009 20:07:17 +0100

cdbs (0.4.59) unstable; urgency=low

  * Defer setting DEB_BUILD_DEPENDENCIES in buildcore.mk (use ?= not =),
    to respect prior override. Closes: bug#205395, thanks to Robert
    Jordens, and to Joachim Breitner for reviving.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Jul 2009 18:49:44 +0200

cdbs (0.4.58) unstable; urgency=high

  * Revert change in 0.4.57 ensuring post-patches finished before
    configure in autotools.mk: Causes configure to be invoked again
    after build.
  * Set urgency=high as this cause FTBFS for packages not supporting
    multiple configure runs (see bugs #537011, #536992, #536963).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jul 2009 20:31:47 +0200

cdbs (0.4.57) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Have debhelper.mk build-depend on cdbs 0.4.53 or newer for DH v7.
  * Relax build-dependencies (e.g. drop versioning when satisfied in
    oldstable and not explicitly required by policy):
    + keep old versioning for perl (required by policy)
    + relax slightly versioning for python
    + drop some old versionings for debhelper, gnulib, type-handling,
      cdbs and patchutils
  * Adjust gnome.mk to extend build-dependencies after including classes
    which initialize them.
  * Append trunk in Vcs-* stanzas of debian/control, and use viewsvn
    (not vswn) in Vcs-Browser stanza.  Closes: bug#531692.
  * Build-depend on python-all-dev (not python2.4-dev or python2.5-dev),
    and generalize python-distutils tests to try all available versions
    of python.  Closes: bug#525855, thanks to Martin Pitt.
  * Use $(filter ...) instead of $(findstring ...) to extract space-
    separated options from DEB_BUILD_OPTIONS in debian/rules.
  * Fix autotools.mk not completing all dependencies of post-patches
    before doing configure.
  * Fix doc-base section (Debian, not Programming). Closes: bug#532193,
    thanks to Drew Parsons.


=== debian/control ===
Source: cdbs
Section: devel
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python-all-dev, python-central, python-support, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, dblatex, ant, sharutils, gs-common, texlive-extra-utils, lzma
Uploaders: Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
Standards-Version: 3.7.3
Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/cdbs/ubuntu

Package: cdbs
Architecture: all
Conflicts: build-common
Depends: debhelper (>= 5.0.30), fdupes, intltool
Recommends: autotools-dev
Suggests: devscripts, doc-base
Description: common build system for Debian packages
 This package contains the Common Debian Build System, an abstract
 build system based on Makefile inheritance which is completely
 extensible and overridable.  In other words, CDBS provides a sane set
 of default rules upon which packages can build; any or all rules may
 be overridden as needed.

=== debian/rules ===
#!/usr/bin/make -f 
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2002,2003 Colin Walters <walters@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

# cdbs uses itself to build itself.
_cdbs_rules_path = 1/rules
_cdbs_class_path = 1/class
_cdbs_makefile_suffix = .in

include 1/rules/debhelper.mk.in
include 1/class/autotools.mk.in

DEB_MAKE_CHECK_TARGET = check

# Unset these variables so config.guess/config.sub in the test suite are not 
# replaced (because the test suite is supposed to test the replacing later).
config_guess =
config_sub =

## cdbs 0.4.62+nmu1ubuntu9

=== test/i18n/po/Makefile ===
GETTEXT_PACKAGE=cdbstest

=== debian/changelog ===
cdbs (0.4.62+nmu1ubuntu9) lucid; urgency=low

  * 1/rules/debhelper.mk.in: Additionally check that
    debian/$(cdbs_curpkg)/usr/share/doc/$(cdbs_curpkg) is not a symlink. Fixes
    gdb FTBFS. Thanks Michael Bienia!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 22 Mar 2010 11:23:26 +0100

cdbs (0.4.62+nmu1ubuntu8) lucid; urgency=low

  * Add test/i18n: New test package for testing i18n. For now, ship a couple
    of .desktop files in different variants (simple, with translations, with
    initial empty line, with multiple sections).
  * Add test/langpack-1.mk: Verify that langpack.mk's translation stripping
    and domain addition works in all four cases above.
  * 1/rules/langpack.mk.in: Reintroduce .desktop section fix from
    0.4.62+nmu1ubuntu6, but ensure that we do not match the [Desktop Entry]
    section itself. Thanks to Luke Symes for the patch!
    (LP: #535650, #542503)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 22 Mar 2010 09:10:27 +0100

cdbs (0.4.62+nmu1ubuntu7) lucid; urgency=low

  * Revert the changes in 0.4.62+num1ubuntu6, it causes *lots* of things to
    break. Reopens bug #535650. 

 -- Steve Kowalik <stevenk@ubuntu.com>  Sat, 20 Mar 2010 15:58:46 +1100

cdbs (0.4.62+nmu1ubuntu6) lucid; urgency=low

  * 1/rules/langpack.mk.in: Put X-Ubuntu-Gettext-Domain field at the end of
    the "[Desktop Entry]" block instead of at the end of the file, so that it
    still works with desktop file which have other sections (like evolution
    these days). (LP: #535650)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 15 Mar 2010 19:11:50 +0100

cdbs (0.4.62+nmu1ubuntu5) lucid; urgency=low

  * Replace texlive-extra-utils with texlive-font-utils (fixes FTBFS;
    lp: #532657) 

 -- Michael Bienia <geser@ubuntu.com>  Fri, 05 Mar 2010 15:02:48 +0100

cdbs (0.4.62+nmu1ubuntu4) lucid; urgency=low

  * 1/rules/utils.mk.in: add some text before listing missing file to make
    it more remarkable (LP: #509249)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 18 Jan 2010 18:32:40 +0100

cdbs (0.4.62+nmu1ubuntu3) lucid; urgency=low

  * 1/class/kde4.mk.in: Remove - Obsolete, broken, and not used (LP: #508520)
    - Also remove from Makefile.*

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 Jan 2010 22:10:33 -0500

cdbs (0.4.62+nmu1ubuntu2) lucid; urgency=low

  * 1/rules/langpack.mk.in: Strip X-GNOME-FullName fields, too. Thanks to
    David Planella! (LP: #453297)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 15 Nov 2009 06:54:19 -0600

cdbs (0.4.62+nmu1ubuntu1) lucid; urgency=low

  * Merge from debian unstable (LP: #414791), remaining changes:
    - 1/class/autotools-files.mk.in: Add -i option when calling libtoolize to
      install missing files. (Debian #525849)
    - 1/class/gnome.mk.in:
      + Include langpack.mk.
      + Check if $DEB_BUILDDIR actually exists before cd'ing to it.
    - Add 1/class/kde4.mk.in: Generic KDE4 build rules. Install it in
      Makefile.am.
    - 1/class/kde.mk.in:
      + Call dh_icons and bump autogenerated debhelper build dependency
        appropriately.
      + Add --without-arts to standard configure flags, since it is
        deprecated.
      + build POT file, and add X-Ubuntu-Gettext-Domain to .desktop files.
     - Add 1/rules/clean-la.mk.in: Remove dependency_libs lines from .la files.
       Install it in Makefile.am.
    - 1/rules/debhelper.mk.in:
      + Do not install upstream changelogs by default.  They are huge and thus
        waste a lot of archive and CD space, quite uninteresting for ordinary
        users, and easy to get by downloading the source package or visiting the
        upstream page pointed out in copyright.
      + Symlink /usr/share/doc/ files to identical versions in any depending
        package which is built by the source package (except copyright, to
        adhere to Debian Policy). This can be disabled by setting
        $CDBS_NO_DOC_SYMLINKING.
      + Symlink identical Gnome help files (like untranslated images). This
        can be disabled by setting $CDBS_NO_GNOME_HELP_SYMLINKING. Add fdupes
        dependency for this.
    - Add 1/rules/langpack.mk.in: Generic langpack related tasks: Build POT
      files, add X-Ubuntu-Gettext-Domain to .desktop/.server/.directory
      files, and strip translations from gconf schemas. Install file in
      Makefile.am. Add intltool dependency for this.
    - Add strip-schema.pl: Script to remove translations from gconf schemas.
      Install it in Makefile.am.
    - 1/rules/simple-patchsys.mk.in: Revert the change for Debian bug #387103
      that causes patches to be unapplied before cleaning the build directory;
      the original issue was addressed more thoroughly in 0.4.49 with a fix
      for Debian bug #424080, and unpatch-before-clean breaks some relevant
      use cases that involve patching of build systems. (Debian #494254)
    - scripts/cdbs-edit-patch: Add fallback if DEB_TAR_SRCDIR contains
      variables. (LP #137827)
    - 1/class/autotools-vars.mk: Apply patch from Peter Eisentraut to avoid
      setting CC and CXX if they have empty or default values, to ease
      cross-building.
    - test/testsuite_functions: Set NO_PKG_MANGLE so that tests do not fail
      with pkgstriptranslations installed.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Oct 2009 15:34:56 +0100

cdbs (0.4.62+nmu1) unstable; urgency=low

  * Non-maintainer upload (reintroducing my Python related changes lost in
    0.4.62, closes: #549801)
  * use --install-purelib and --install-platlib instead of --install-lib
    (which has higher priority so overriding {pure,plat}lib wasn't possible)
  * Remove *.egg-info only in the current directory (closes: 507966)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 24 Oct 2009 16:04:52 +0200

cdbs (0.4.62) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Move source to collab-maint Git at Alioth. Update Vcs-* stanzas.
  * Fix detect exit code in for loops in python-distutils.mk. Closes:
    bug#546589.


=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
-Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python-all-dev, python-central, python-support, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, dblatex, ant, sharutils, gs-common, texlive-extra-utils, lzma
+Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python-all-dev, python-central, python-support, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, dblatex, ant, default-jdk, sharutils, gs-common, texlive-font-utils, lzma
 Uploaders: Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.3
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/cdbs/ubuntu
 
 Package: cdbs

## cdbs 0.4.83ubuntu2

=== debian/changelog ===
cdbs (0.4.83ubuntu2) maverick; urgency=low

  * 1/rules/langpack.mk.in:
    - Make .policy files use gettext

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 27 Aug 2010 09:57:53 +1000

cdbs (0.4.83ubuntu1) maverick; urgency=low

  * Merge from debian unstable, remaining changes:
    - 1/class/autotools-files.mk.in: Add -i option when calling libtoolize to
      install missing files. (Debian #525849)
    - 1/class/gnome.mk.in:
      + Include langpack.mk.
      + Check if $DEB_BUILDDIR actually exists before cd'ing to it.
    - Add 1/class/kde4.mk.in: Generic KDE4 build rules. Install it in
      Makefile.am.
    - 1/class/kde.mk.in:
      + Call dh_icons and bump autogenerated debhelper build dependency
        appropriately.
      + Add --without-arts to standard configure flags, since it is
        deprecated.
      + build POT file, and add X-Ubuntu-Gettext-Domain to .desktop files.
     - Add 1/rules/clean-la.mk.in: Remove dependency_libs lines from .la files.
       Install it in Makefile.am.
    - 1/rules/debhelper.mk.in:
      + Do not install upstream changelogs by default.  They are huge and thus
        waste a lot of archive and CD space, quite uninteresting for ordinary
        users, and easy to get by downloading the source package or visiting the
        upstream page pointed out in copyright.
      + Symlink /usr/share/doc/ files to identical versions in any depending
        package which is built by the source package (except copyright, to
        adhere to Debian Policy). This can be disabled by setting
        $CDBS_NO_DOC_SYMLINKING.
      + Symlink identical Gnome help files (like untranslated images). This
        can be disabled by setting $CDBS_NO_GNOME_HELP_SYMLINKING. Add fdupes
        dependency for this.
    - Add 1/rules/langpack.mk.in: Generic langpack related tasks: Build POT
      files, add X-Ubuntu-Gettext-Domain to .desktop/.server/.directory
      files, and strip translations from gconf schemas. Install file in
      Makefile.am. Add intltool dependency for this.
    - Add strip-schema.pl: Script to remove translations from gconf schemas.
      Install it in Makefile.am.
    - 1/rules/simple-patchsys.mk.in: Revert the change for Debian bug #387103
      that causes patches to be unapplied before cleaning the build directory;
      the original issue was addressed more thoroughly in 0.4.49 with a fix
      for Debian bug #424080, and unpatch-before-clean breaks some relevant
      use cases that involve patching of build systems. (Debian #494254)
    - 1/rules/utils.mk.in: add some text before listing missing file to make
      it easier to see from the build log (LP #509249)
    - scripts/cdbs-edit-patch: Add fallback if DEB_TAR_SRCDIR contains
      variables. (LP #137827)
    - test/testsuite_functions: Set NO_PKG_MANGLE so that tests do not fail
      with pkgstriptranslations installed.
    - Add test/i18n: New test package for testing i18n. For now, ship a couple
      of .desktop files in different variants (simple, with translations, with
      initial empty line, with multiple sections).
    - Add test/langpack-1.mk: Verify that langpack.mk's translation stripping
      and domain addition works in all four cases above.
  * debian/control: Drop the versioned build dependency on cdbs, since we do
    not have a newer version yet in maverick.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 03 May 2010 12:57:06 +0200

cdbs (0.4.83) unstable; urgency=medium

  * Drop support for variables DEB_*_MAKE_TARGET and
    DEB_MAKE_TEST_TARGET, deprecated for ages.  Fixes accidentally
    disabled regression tests in perl-* classes.
  * Enable verbose output for regression tests in class
    perl-makemaker.mk.
  * Fix support multiword CC or CXX (broken since 0.4.77), and really
    support cross-building (as intended in 0.4.77).
    Closes: bug#576967, #578303, thanks to Peter Eisentraut for
    insisting, and to Anders Kaseorg for solving.
  * Set urgency=medium as broken CC/CXX multiword support causes FTBFS
    of other packages.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Apr 2010 10:56:31 +0200

cdbs (0.4.82) unstable; urgency=low

  * Fix strip repackaging tag when DEB_UPSTREAM_REPACKAGE_EXCLUDES is
    set (not deprecated DEB_UPSTREAM_REPACKAGE_EXCLUDE), in upstream-
    tarball.mk.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Apr 2010 11:31:11 +0200

cdbs (0.4.81) unstable; urgency=low

  * Fix install arch-all packages part of arch-all+arch-any multilib
    packaging in python-distutils.mk (broken since 0.4.72). Closes:
    bug#577580, thanks to Yaroslav Halchenko.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Apr 2010 02:16:58 +0200

cdbs (0.4.80) unstable; urgency=low

  * Fix build-dependency variable name in perl-build.mk.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Apr 2010 21:26:44 +0200

cdbs (0.4.79) unstable; urgency=low

  * Tighten build-dependency on cdbs in perl-build.mk, due to 0.4.78
    bugfix.
  * Fix build-dependency variable name in perl-vars.mk.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Apr 2010 17:02:21 +0200

cdbs (0.4.78) unstable; urgency=low

  * Fix silence build-dependency resolving rule in buildcore.mk
    (leftover from debugging session).
  * Fix drop packlist files without failing with non-default
    DEB_PERL_DESTDIR.
  * Add TODO file with ideas for 2nd epoch (i.e. /usr/share/cdbs/2/*).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 12 Apr 2010 15:18:18 +0200

cdbs (0.4.77) unstable; urgency=low

  * Fail the fail-source-not-repackaged rule (in addition to get-orig-
    source) if old DEB_UPSTREAM_REPACKAGE_EXCLUDE is declared, in
    upstream-tarball.mk.
  * Fix check excluded directories (not files twice) in the fail-source-
    not-repackaged rule, in upstream-tarball.mk.
  * Support cross-building: Avoid setting CC or CXX in autotools.mk
    except if explicitly declared, and set CC="-gcc" in makefile.mk when
    cross-building. Closes: bug#450483, thanks to Neil Williams



=== debian/control ===
--- 
+++ 
@@ -3,9 +3,31 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
-Build-Depends-Indep: debhelper (>= 5), graphviz, realpath, fakeroot, python-dev, python-all-dev, python-central, python-support, libxml2-utils, xsltproc, docbook-xml, docbook-xsl, dblatex, ant, default-jdk, sharutils, gs-common, texlive-font-utils, lzma
+Build-Depends-Indep: devscripts (>= 2.10.7~),
+ cdbs,
+ dh-buildinfo,
+ debhelper (>= 6),
+ graphviz,
+ realpath,
+ fakeroot,
+ python-dev,
+ python-all-dev,
+ python-central,
+ python-support,
+ libxml2-utils,
+ xsltproc,
+ docbook-xml,
+ docbook-xsl,
+ dblatex,
+ ant,
+ default-jdk,
+ sharutils,
+ gs-common,
+ texlive-font-utils | texlive-extra-utils (<< 2009),
+ lzma,
+ devscripts (>= 2.10.7)
 Uploaders: Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/cdbs/ubuntu
 
 Package: cdbs

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f 
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright © 2002,2003 Colin Walters <walters@debian.org>
+# Copyright © 2010 Jonas Smedegaard <dr@jones.dk>
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -13,17 +14,20 @@
 # General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
-# 02111-1307 USA.
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 # cdbs uses itself to build itself.
 _cdbs_rules_path = 1/rules
 _cdbs_class_path = 1/class
+_cdbs_scripts_path = scripts
 _cdbs_makefile_suffix = .in
 
+include 1/rules/utils.mk.in
 include 1/rules/debhelper.mk.in
 include 1/class/autotools.mk.in
+
+# Suppress build-dependency on ourselves
+CDBS_BUILD_DEPENDS_rules_buildvars =
 
 DEB_MAKE_CHECK_TARGET = check

## cdbs 0.4.89

=== debian/changelog ===
cdbs (0.4.89) unstable; urgency=low

  * Stop conflicting against ancient/bogus build-common.
  * Fix and simplify dh_buildinfo support: Invoke in debhelper (not
    utils) snippet, limited to each binary package.
    Closes: bug#590601. Thanks (again) to Michael Biebl.
  * Fix ensure makefile-vars.mk is usable without makefile.mk: add
    simpler fallback for cdbs_make_curbuilddir.
    Closes: bug#596950. Thanks to Lucas Nussbaum and others.
  * Add TODO item: Mention replacement variable in deprecation warnings.
  * Fix tighten copyright-check auto-resolved build-dependency on cdbs.
  * Build-depend on dh-buildinfo.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Sep 2010 11:00:25 +0200

cdbs (0.4.88) unstable; urgency=medium

  * Fix only optionally-declare ( using ?= ) DEB_COPYRIGHT_CHECK_STRICT,
    to allow early override.
  * Suppress sole delimiter in cdbs_expand_curvar function.
    Closes:bug#590806, thanks to Kris Shannon.
  * Fix invoke dh_buildinfo after dh_installdocs and dh_link.
    Closes: bug#590601, thanks to Axel Beckert, Michael Biebl and Simon
    McVittie.
  * Bump Policy compliance to standards-version 3.9.1.
  * Set urgency=medium as this fixes FTBFS of other packages.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Jul 2010 11:07:59 -0400

cdbs (0.4.87) unstable; urgency=low

  * Fix strip trailing comma in autoresolved build-dependencies.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jun 2010 18:35:02 +0200

cdbs (0.4.86) unstable; urgency=high

  * Fix space-separate variables expanded via cdbs_expand_curvar.
    Closes: bug#586742, thanks to Yves-Alexis Perez and others.
  * Raise to severity=high, as above caused FTBFS.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Jun 2010 11:23:07 +0200

cdbs (0.4.85) unstable; urgency=low

  * Per-package variables in buildcore.mk and debhelper.mk now generally
    use the following scheme:
    + VAR_ALL applies to all packages
    + VAR_<package> applies to current package
    + VAR_DEFAULT applies to current package if VAR_pkg is empty
    Use of VAR without "suffix" for per-package variables is now
    deprecated, except for a few cases marked as TODO in those files.
    Closes: bug#582693, thanks to Rudy Godoy.
  * Really fix suppress build-dependency on ourself (not only relax
    versioning).
  * Introduce new convenience variable cdbs_python_primary_version.
  * Fix use dh_prep with debhelper 7 and newer (not only newer than 7).
    Closes: bug#586616, thanks to Nelson A. de Oliveira.
  * Fix double expansion of CDBS_DEPENDS (possibly the cause of
    occasional spurious extra comma in build-dependencies).
  * Deprecate dpatch.mk, simple-patchsys.mk and tarball.mk, suggesting
    source format 3.0 as alternative.
  * Add NEWS entry about new per-package variable scheme and deprecated
    snippets.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Jun 2010 16:57:59 +0200

cdbs (0.4.84) unstable; urgency=low

  * Improve copyright file:
    + Rewrap license sections Expat and other-X.
    + Add comment on Expat variation.
  * Fix suppress build-dependency on ourselves.
  * Add TODO on a way to fix bug#207775 in 2nd epoch.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 May 2010 16:12:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,9 @@
 Source: cdbs
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
-Build-Depends-Indep: devscripts (>= 2.10.7~),
- cdbs,
+Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
+Build-Depends-Indep: debhelper (>= 6),
  dh-buildinfo,
- debhelper (>= 6),
  graphviz,
  realpath,
  fakeroot,
@@ -27,13 +24,13 @@
  lzma,
  devscripts (>= 2.10.7)
 Uploaders: Jonas Smedegaard <dr@jones.dk>, Marc Dequènes (Duck) <Duck@DuckCorp.org>, Peter Eisentraut <petere@debian.org>
-Standards-Version: 3.8.4
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/cdbs/ubuntu
+Standards-Version: 3.9.1
+Vcs-Git: git://git.debian.org/git/collab-maint/cdbs.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/cdbs.git;a=summary
 
 Package: cdbs
 Architecture: all
-Conflicts: build-common
-Depends: debhelper (>= 5.0.30), fdupes, intltool
+Depends: debhelper (>= 5.0.30)
 Recommends: autotools-dev
 Suggests: devscripts, doc-base
 Description: common build system for Debian packages

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 
 # Suppress build-dependency on ourselves
 CDBS_BUILD_DEPENDS_rules_buildvars =
+CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
 DEB_MAKE_CHECK_TARGET = check
